; Commodore 64 - MOS 6510  Assembly sourcefile
; ROTATEL.ASM
;   cyclic rotates 8 bytes left by one bit

.ENTRY start ; entry point

* = $3000

start  lda #<work
       ldy #>work
       sta $FD          ; zero page address
       sty $FE
       ldy #len
newbyte lda ($FD),y
       rol a
       lda ($FD),y
       rol a
       sta ($FD),y
       dey
       bpl newbyte
       brk

; the 8 bytes to rotate:
work   .byte $F0, $80, $55, $69, $60, 0, $12, $2F
workend=*
len = workend - work - 1 ; number of bytes
